/*
 * Usage.h
 *
 *  Created on: May 18, 2012
 *      Author: andrew
 */

#ifndef USAGE_H_
#define USAGE_H_

#include <fstream>
#include <cstdlib>
#include <iostream>
#include <cstdio>
#include <cstring>
#include "constants.h"

typedef struct
{
	unsigned int nice_time_last;
	unsigned int user_time_last;
	unsigned int idle_time_last;
	unsigned int system_time_last;

	float usage;
	bool updated;
} core_stats;

class Usage
{
public:
	Usage(int in_num_cores);
	virtual ~Usage();
	void recompute(void);
	float get_usage(int coreID);

private:
	unsigned int num_cores;
	core_stats* cores_stats;
	std::ifstream* stat_file;
};


#endif /* USAGE_H_ */
